# List Referrers Endpoint: GET /referrer Version: v1 Security: x-api-key, a-api-key ## Query parameters: - `page` (integer) Example: 1 - `page_size` (integer) Example: 50 - `sort_by` (array) Comma separated search fields. See Sorting Example: ["[\"field_name\",\"field_name\"]"] - `q[]` (array) Filter result by one or more fields. See Query Filtering Available filters: | Value | Format | |---|---| | first_name | string | | surname | string | | email | string | | phone | string | | active | boolean | | updated | timestamp | | created | timestamp | ## Response 200 fields (application/json): - `referrers` (array) - `referrers.row_num` (integer) - `referrers.total_rows` (integer) - `referrers.links` (object) - `referrers.links.self` (string) Example: "https://api.pracsuite.com/v1/referrer/1" - `referrers.tenant_id` (integer) - `referrers.referrer_id` (integer) - `referrers.title` (string) - `referrers.first_name` (string) - `referrers.surname` (string) - `referrers.mobile` (string) - `referrers.archive` (boolean) - `referrers.referrer_type_id` (integer) - `referrers.email` (string) - `referrers.phone` (string) - `referrers.fax` (string) - `referrers.notes` (string) - `referrers.organisation_id` (integer,null) - `referrers.provider_no` (string) - `referrers.description` (string) - `referrers.address_1` (string) - `referrers.address_2` (string) - `referrers.address_3` (string) - `referrers.address_4` (string) - `referrers.suburb` (string) - `referrers.address_state` (string) - `referrers.postcode` (string) - `referrers.country` (string) - `referrers.contact` (string) - `total_entries` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"